OPNsense Logo

OPNsense 20.1.5 Bugfix Release

Die Open-Source Firewall, OPNsense bringt mit dem neusten Update 20.1.5 die neue Firewall API mittels Plugin. Außerdem eine neue Statistik GUI und API für den Firewall Shaper, über 20 Bugfixes und Verbesserungen sowie Updates der 3. Hersteller Komponenten. Das Update von OpenSSL 1.1.1g, wird in einem späteren Release folgen.

OPNsense 20.1.5 Release Notes

  • system: support configuration for SSH HostKeyAlgorithms, KexAlgorithms, Ciphers and MACs
  • system: simplify validations in gateway monitor settings
  • interfaces: mark VXLAN and loopback devices as configurable
  • interfaces: validation typo caused failure to communicate unassignable targets
  • interfaces: netstat tree view GUI and API
  • interfaces: use libxo to extract ARP data
  • firewall: checkbox selection ignores visibility setting
  • firewall: add network group type to combine aliases cleanly
  • firewall: IPv6 essential icmpv6 allow for ::
  • firewall: new shaper statistics GUI and API
  • firewall: support filter log messages with PID
  • reporting: when flow times are not returned stick to receive timestamp
  • openvpn: use multihome when selecting “any” interface with UDP
  • unbound: create shared startup script for background task
  • mvc: also store “” field value as initial state to prevent empty fields as being marked as changed
  • mvc: firewall source NAT ranges support in plugins
  • mvc: keep options in static set for PortField
  • mvc: support interface targets without addresses
  • mvc. add “migration_prefix” attribute to model
  • mvc: catch ArgumentCountError
  • mvc: skip empty gateway artefact
  • plugins: os-acme-client 1.31[1]
  • plugins: os-firewall 1.0 API supplemental package
  • plugins: os-haproxy 2.22[2]
  • plugins: os-unbound-plus 1.1[3]
  • plugins: os-wol 2.3 adds case insensitive matching in widget (contributed by Gauss23)
  • ports: ca_root_nss 3.51.1
  • ports: dnsmasq 2.81[4]
  • ports: krb5 1.18.1[5]
  • ports: openvpn 2.4.9[6]
  • ports: php 7.2.30[7]
  • ports: py-certifi 2020.4.5.1
  • ports: strongswan 5.8.4[8]

Quelle: https://forum.opnsense.org/index.php?topic=16917.0

Schreibe einen Kommentar

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.